Prev |  | Next

# FcConfigSubstituteWithPat

## Name

FcConfigSubstituteWithPat -- Execute substitutions

## Synopsis

    #include <fontconfig.h>

``FcBool FcConfigSubstituteWithPat`(FcConfig *config, FcPattern *p, FcPattern *p_pat, FcMatchKind kind);`

## Description

Performs the sequence of pattern modification operations, if `kind` is FcMatchPattern, then those tagged as pattern operations are applied, else if `kind` is FcMatchFont, those tagged as font operations are applied and p_pat is used for <test> elements with target=pattern. Returns FcFalse if the substitution cannot be performed (due to allocation failure). Otherwise returns FcTrue.

## Version

Fontconfig version 2.6.0

Prev | Home | Next
FcConfigAppFontClear | Up | FcConfigSubstitute